XATTR(1)

NAME
xattr - sets or lists extended attributes on a file or directory

SYNOPSIS
xattr [ -lz ] filename [ filename ... ]
xattr -p [ -lz ] attr_name filename [ filename ... ]
xattr -w [ -z ] attr_name attr_value filename [ filename ... ]
xattr -d attr_name filename [ filename ... ]

DESCRIPTION
This manual page documents briefly the xattr command.

The first form lists the names of all xattrs on the given file(s).
The second form (-p) prints the value of the xattr attr_name.
The third form (-w) sets the value of the xattr attr_name to attr_value.
The fourth form (-d) deletes the xattr attr_name.

OPTIONS
A summary of options is included below.

-h  Show summary of options.

-l  Print long format (attr_name: attr_value) when listing xattrs.

-z  Compress or decompress (if compressed) attribute value in zip format.

EXAMPLES

xattr -w user.mykey myvalue myfile

xattr -g user.mykey myfile

SEE ALSO
The Python module "xattr"

AUTHOR
xattr was written by Bob Ippolito <bob@redivi.com>.

This manual page was written by Federico Ceratto, for the Debian project (and may be used by others).